<h1>My First Attribute Directive</h1>

<h4>Pick a highlight color</h4>
<div>
  <input type="radio" name="colors" (click)="color='lightgreen'">Green
  <input type="radio" name="colors" (click)="color='yellow'">Yellow
  <input type="radio" name="colors" (click)="color='cyan'">Cyan
</div>
<p [appHighlight]="color">Highlight me!</p>

<p [appHighlight]="color" defaultColor="violet">
  Highlight me too!
</p>

<hr>
<p><i>Mouse over the following lines to see fixed highlights</i></p>
<p [appHighlight]="'yellow'">Highlighted in yellow</p>
<p appHighlight="orange">Highlighted in orange</p>
<input (appsubmit) = "mynumer" type="submit" #myviewchild autofocus  value="Submit">
<input [(ngModel)]="mynumer" type="text"/>
<p>{{mynumer}}</p>
<button [appsubmit] = "mynumer" (click)="clickEvent()">FormSubmitDirective</button>
<!-- get data from children -->
<app-child-root  (voteSize)="voteCount($event)" (ProductEvent)="ProductEvent($event)" (avtTextEvent)="onchangeAvaterText($event)"
[(inputName)]="mynumer">
</app-child-root>